Get record export status for given request
curl --request GET \
--url https://prod01.oms.fabric.inc/api/v2/exports/status \
--header 'Authorization: Bearer <token>' \
--header 'x-site-context: <x-site-context>'import requests
url = "https://prod01.oms.fabric.inc/api/v2/exports/status"
headers = {
"x-site-context": "<x-site-context>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-site-context': '<x-site-context>', Authorization: 'Bearer <token>'}
};
fetch('https://prod01.oms.fabric.inc/api/v2/exports/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"module": "order",
"keyId": "6213c2d4deeadd00debb46b4",
"version": 123,
"status": "FINISHED",
"totalRowsExported": 20,
"totalRecordsExported": 20,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"filters": {
"orderSubTotal": {
"gte": 1300,
"lt": 1400
},
"orderNumber": "order-*Z",
"statusCode": [
"ORDER_CREATED"
],
"createdAt": {
"lt": "2022-09-11T23:12:00.123Z"
}
}
}{
"message": "Bad Request"
}{
"message": "Key does not exist!"
}{
"message": "Internal Server Error"
}Export
Get record export status for given request
Retrieves record export status for given request
GET
/
exports
/
status
Get record export status for given request
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The x-site-context header is a JSON object that contains information about the source you wish to pull from. The mandatory account is the 24 character identifier found in Copilot. The channel (Sales channel ID), stage (environment name), and date attributes can be used to further narrow the scope of your data source.
Example:
"{\"date\": \"2023-01-01T00:00:00.000Z\", \"channel\": 12, \"account\": \"1234abcd5678efgh9ijklmno\",\"stage\":\"production\"}"
Query Parameters
Response
Record Export status
OMSExportLog Model
Example:
"order"
Example:
"6213c2d4deeadd00debb46b4"
Example:
"FINISHED"
Example:
20
Example:
20
Show child attributes
Show child attributes
Example:
{
"orderSubTotal": { "gte": 1300, "lt": 1400 },
"orderNumber": "order-*Z",
"statusCode": ["ORDER_CREATED"],
"createdAt": { "lt": "2022-09-11T23:12:00.123Z" }
}
Was this page helpful?
